> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tenant Users

> List the tenant's users. Requires a system key with ``users:read``.



## OpenAPI

````yaml get /v1/admin/users
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/admin/users:
    get:
      tags:
        - V1 - System keys
      summary: List Tenant Users
      description: List the tenant's users. Requires a system key with ``users:read``.
      operationId: list_tenant_users
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/TenantUser'
                type: array
                title: Response List Tenant Users
      security:
        - APIKeyHeader: []
components:
  schemas:
    TenantUser:
      properties:
        id:
          type: string
          title: Id
        email:
          type: string
          title: Email
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        tenant_admin:
          type: boolean
          title: Tenant Admin
        is_active:
          type: boolean
          title: Is Active
      type: object
      required:
        - id
        - email
        - tenant_admin
        - is_active
      title: TenantUser
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````